Frequently Asked Questions

Outdated Android app (version 4.0 or older)

Our apps for TVs and mobile devices are constantly being updated. However, with outdated operating systems, this maintenance is not always possible or useful. For this reason, since the end of 2015, we have not released any new versions of our mobile app based on Android version 4.0 (or earlier). Due to new security certificates on our servers, this outdated version is no longer compatible with the Digital Concert Hall.

If your smartphone uses such an outdated Android version, please check if you can install version 4.1 (or newer). If this is not possible, the Digital Concert Hall app will no longer function on your device. Alternatively, you can open our platform in your mobile web browser at www.digitalconcerthall.com. In addition, we recommend that you check if you are using one of the many other devices supported by our apps.

GO TO DEVICE OVERVIEW